Subject: Re: [PATCH 5/5] powerpc: Increase NR_IRQS Kconfig maximum to 32768

From: Gabriel Paubert <[email-masked]>
Date: Mon, 1 Feb 2010 10:09:46 +0100

On Sun, Jan 31, 2010 at 10:14:03PM +1100, Anton Blanchard wrote:
> 
> With dynamic irq descriptors the overhead of a large NR_IRQS is much lower
> than it used to be. With more MSI-X capable adapters and drivers exploiting 
> multiple vectors we may as well allow the user to increase it beyond the
> current maximum of 512.
> 
> 32768 seems large enough that we'd never have to bump it again (although I bet
> my prediction is horribly wrong). It boot tests OK and the vmlinux footprint
> increase is only around 500kB due to:

Only 1/2 MB? 

I'm running Linux on 12 year old PPC machines which have 16MB
or RAM (ok, they are still running an old kernel, but a few
patches like this and they wont't even boot). The kernels
I have are well below 1MB, code+data+bss. 

Yes it is configurable, thanks, and 64 is enough for these
machines (8259 plus an MPIC), so it's not that crucial.

What I object to is calling 1/2MB negligible.

	Gabriel